Summary: Very high level scripting language with X interface
Name: python
Version: 1.4
Release: 3
Copyright: distributable
Group: Development/Languages
Source0: ftp.python.org:/pub/python/src/python1.4.tar.gz
Patch0: python-1.4-misc.patch
Patch1: python-1.4-gccbug.patch
Requires: libtcl7.6.so libtk4.2.so

%description
Python in an interpreted, object orientated scripting language. If contains
support for dynamic loading of objects, classes, modules, and exceptions.
Adding interfaces to new system libraries through C code is straightforward,
making Python easy to use in custom settings. 

This Python package includes most of the standard Python modules, along with
modules for interfacing to the Tix widget set for Tk and RPM.

%package devel
Summary: Libraries and header files for building python code
Requires: python = 1.4
Group: Development/Languages

%description devel
The Python interpreter is relatively easy to extend with dynamically loaded
extensions and to embed in other programs. This packages contains the
header files and libraries which are needed to do both of these tasks.

%package docs
Summary: Documentation on Python
Group: Development/Languages

%description docs
This package contains documentation on the Python language and interpretor
as a mix of plain ASCII files and LaTeX sources.

%prep
%setup -n Python-1.4
%patch0 -p1

%ifarch alpha
%patch1 -p1
%endif

echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CCSHARED='-fPIC'}' >> config.cache
%build

MACHDEP=linux-$RPM_ARCH ./configure --prefix=/usr --with-readline=/usr/include/readline

LDFLAGS=-s CFLAGS="$RPM_OPT_FLAGS" make 

%install
rm -rf /usr/lib/python1.4
make install
cp config.h /usr/include/python1.4
strip /usr/bin/python

rm -rf /usr/doc/python-1.4
mkdir -p /usr/doc/python-1.4
for n in COPYRIGHT FAQ NEWS HYPE README cheatsheet BLURB* HISTORY ; do
    install -m 644 Misc/$n /usr/doc/python-1.4
done
mkdir /usr/doc/python-1.4/tex
cp -ar Doc/* /usr/doc/python-1.4/tex

%files
/usr/bin/python
/usr/bin/python1.4

%ifarch i386
/usr/lib/python1.4/linux-i386
%endif
%ifarch alpha
/usr/lib/python1.4/linux-alpha
%endif
%ifarch sparc
/usr/lib/python1.4/linux-sparc
%endif

%dir /usr/lib/python1.4
/usr/lib/python1.4/stdwin
/usr/lib/python1.4/tkinter
/usr/lib/python1.4/os.pyc
/usr/lib/python1.4/AST.py
/usr/lib/python1.4/BaseHTTPServer.py
/usr/lib/python1.4/Bastion.py
/usr/lib/python1.4/CGIHTTPServer.py
/usr/lib/python1.4/Complex.py
/usr/lib/python1.4/MimeWriter.py
/usr/lib/python1.4/Para.py
/usr/lib/python1.4/Queue.py
/usr/lib/python1.4/SimpleHTTPServer.py
/usr/lib/python1.4/SocketServer.py
/usr/lib/python1.4/StringIO.py
/usr/lib/python1.4/UserDict.py
/usr/lib/python1.4/UserList.py
/usr/lib/python1.4/addpack.py
/usr/lib/python1.4/aifc.py
/usr/lib/python1.4/anydbm.py
/usr/lib/python1.4/audiodev.py
/usr/lib/python1.4/base64.py
/usr/lib/python1.4/bdb.py
/usr/lib/python1.4/binhex.py
/usr/lib/python1.4/bisect.py
/usr/lib/python1.4/calendar.py
/usr/lib/python1.4/cgi.py
/usr/lib/python1.4/cmd.py
/usr/lib/python1.4/cmp.py
/usr/lib/python1.4/cmpcache.py
/usr/lib/python1.4/codehack.py
/usr/lib/python1.4/colorsys.py
/usr/lib/python1.4/commands.py
/usr/lib/python1.4/compileall.py
/usr/lib/python1.4/copy.py
/usr/lib/python1.4/dbhash.py
/usr/lib/python1.4/dircache.py
/usr/lib/python1.4/dircmp.py
/usr/lib/python1.4/dis.py
/usr/lib/python1.4/dospath.py
/usr/lib/python1.4/dumbdbm.py
/usr/lib/python1.4/dump.py
/usr/lib/python1.4/emacs.py
/usr/lib/python1.4/find.py
/usr/lib/python1.4/fmt.py
/usr/lib/python1.4/fnmatch.py
/usr/lib/python1.4/formatter.py
/usr/lib/python1.4/fpformat.py
/usr/lib/python1.4/ftplib.py
/usr/lib/python1.4/getopt.py
/usr/lib/python1.4/glob.py
/usr/lib/python1.4/gopherlib.py
/usr/lib/python1.4/grep.py
/usr/lib/python1.4/htmlentitydefs.py
/usr/lib/python1.4/htmllib.py
/usr/lib/python1.4/httplib.py
/usr/lib/python1.4/ihooks.py
/usr/lib/python1.4/imghdr.py
/usr/lib/python1.4/linecache.py
/usr/lib/python1.4/lockfile.py
/usr/lib/python1.4/macpath.py
/usr/lib/python1.4/macurl2path.py
/usr/lib/python1.4/mailbox.py
/usr/lib/python1.4/mailcap.py
/usr/lib/python1.4/mhlib.py
/usr/lib/python1.4/mimetools.py
/usr/lib/python1.4/mimify.py
/usr/lib/python1.4/multifile.py
/usr/lib/python1.4/mutex.py
/usr/lib/python1.4/newdir.py
/usr/lib/python1.4/ni.py
/usr/lib/python1.4/nntplib.py
/usr/lib/python1.4/ntpath.py
/usr/lib/python1.4/nturl2path.py
/usr/lib/python1.4/os.py
/usr/lib/python1.4/ospath.py
/usr/lib/python1.4/packmail.py
/usr/lib/python1.4/pdb.py
/usr/lib/python1.4/pickle.py
/usr/lib/python1.4/pipes.py
/usr/lib/python1.4/poly.py
/usr/lib/python1.4/popen2.py
/usr/lib/python1.4/posixfile.py
/usr/lib/python1.4/posixpath.py
/usr/lib/python1.4/profile.py
/usr/lib/python1.4/pstats.py
/usr/lib/python1.4/pty.py
/usr/lib/python1.4/py_compile.py
/usr/lib/python1.4/pyclbr.py
/usr/lib/python1.4/quopri.py
/usr/lib/python1.4/rand.py
/usr/lib/python1.4/random.py
/usr/lib/python1.4/regex_syntax.py
/usr/lib/python1.4/regexp.py
/usr/lib/python1.4/regsub.py
/usr/lib/python1.4/repr.py
/usr/lib/python1.4/rexec.py
/usr/lib/python1.4/rfc822.py
/usr/lib/python1.4/sched.py
/usr/lib/python1.4/sgmllib.py
/usr/lib/python1.4/shelve.py
/usr/lib/python1.4/shutil.py
/usr/lib/python1.4/site.py
/usr/lib/python1.4/stat.py
/usr/lib/python1.4/sndhdr.py
/usr/lib/python1.4/statcache.py
/usr/lib/python1.4/string.py
/usr/lib/python1.4/sunau.py
/usr/lib/python1.4/sunaudio.py
/usr/lib/python1.4/symbol.py
/usr/lib/python1.4/tb.py
/usr/lib/python1.4/tempfile.py
/usr/lib/python1.4/toaiff.py
/usr/lib/python1.4/token.py
/usr/lib/python1.4/tokenize.py
/usr/lib/python1.4/traceback.py
/usr/lib/python1.4/tty.py
/usr/lib/python1.4/types.py
/usr/lib/python1.4/tzparse.py
/usr/lib/python1.4/urllib.py
/usr/lib/python1.4/urlparse.py
/usr/lib/python1.4/util.py
/usr/lib/python1.4/uu.py
/usr/lib/python1.4/wave.py
/usr/lib/python1.4/whatsound.py
/usr/lib/python1.4/whichdb.py
/usr/lib/python1.4/whrandom.py
/usr/lib/python1.4/xdrlib.py
/usr/lib/python1.4/zmod.py
/usr/lib/python1.4/pdb.doc
/usr/lib/python1.4/profile.doc
/usr/lib/python1.4/posixpath.pyc
/usr/lib/python1.4/stat.pyc
/usr/lib/python1.4/UserDict.pyc
/usr/lib/python1.4/py_compile.pyc
/usr/lib/python1.4/getopt.pyc
/usr/lib/python1.4/string.pyc
/usr/lib/python1.4/AST.pyc
/usr/lib/python1.4/BaseHTTPServer.pyc
/usr/lib/python1.4/Bastion.pyc
/usr/lib/python1.4/CGIHTTPServer.pyc
/usr/lib/python1.4/Complex.pyc
/usr/lib/python1.4/MimeWriter.pyc
/usr/lib/python1.4/Para.pyc
/usr/lib/python1.4/Queue.pyc
/usr/lib/python1.4/SimpleHTTPServer.pyc
/usr/lib/python1.4/SocketServer.pyc
/usr/lib/python1.4/StringIO.pyc
/usr/lib/python1.4/UserList.pyc
/usr/lib/python1.4/addpack.pyc
/usr/lib/python1.4/aifc.pyc
/usr/lib/python1.4/anydbm.pyc
/usr/lib/python1.4/audiodev.pyc
/usr/lib/python1.4/base64.pyc
/usr/lib/python1.4/bdb.pyc
/usr/lib/python1.4/binhex.pyc
/usr/lib/python1.4/bisect.pyc
/usr/lib/python1.4/calendar.pyc
/usr/lib/python1.4/cgi.pyc
/usr/lib/python1.4/cmd.pyc
/usr/lib/python1.4/cmp.pyc
/usr/lib/python1.4/cmpcache.pyc
/usr/lib/python1.4/codehack.pyc
/usr/lib/python1.4/colorsys.pyc
/usr/lib/python1.4/commands.pyc
/usr/lib/python1.4/compileall.pyc
/usr/lib/python1.4/copy.pyc
/usr/lib/python1.4/dbhash.pyc
/usr/lib/python1.4/dircache.pyc
/usr/lib/python1.4/dircmp.pyc
/usr/lib/python1.4/dis.pyc
/usr/lib/python1.4/dospath.pyc
/usr/lib/python1.4/dumbdbm.pyc
/usr/lib/python1.4/dump.pyc
/usr/lib/python1.4/emacs.pyc
/usr/lib/python1.4/find.pyc
/usr/lib/python1.4/fmt.pyc
/usr/lib/python1.4/fnmatch.pyc
/usr/lib/python1.4/formatter.pyc
/usr/lib/python1.4/fpformat.pyc
/usr/lib/python1.4/ftplib.pyc
/usr/lib/python1.4/glob.pyc
/usr/lib/python1.4/gopherlib.pyc
/usr/lib/python1.4/grep.pyc
/usr/lib/python1.4/htmlentitydefs.pyc
/usr/lib/python1.4/htmllib.pyc
/usr/lib/python1.4/httplib.pyc
/usr/lib/python1.4/ihooks.pyc
/usr/lib/python1.4/imghdr.pyc
/usr/lib/python1.4/linecache.pyc
/usr/lib/python1.4/lockfile.pyc
/usr/lib/python1.4/macpath.pyc
/usr/lib/python1.4/macurl2path.pyc
/usr/lib/python1.4/mailbox.pyc
/usr/lib/python1.4/mailcap.pyc
/usr/lib/python1.4/mhlib.pyc
/usr/lib/python1.4/mimetools.pyc
/usr/lib/python1.4/mimify.pyc
/usr/lib/python1.4/multifile.pyc
/usr/lib/python1.4/mutex.pyc
/usr/lib/python1.4/newdir.pyc
/usr/lib/python1.4/ni.pyc
/usr/lib/python1.4/nntplib.pyc
/usr/lib/python1.4/ntpath.pyc
/usr/lib/python1.4/nturl2path.pyc
/usr/lib/python1.4/ospath.pyc
/usr/lib/python1.4/packmail.pyc
/usr/lib/python1.4/pdb.pyc
/usr/lib/python1.4/pickle.pyc
/usr/lib/python1.4/pipes.pyc
/usr/lib/python1.4/poly.pyc
/usr/lib/python1.4/popen2.pyc
/usr/lib/python1.4/posixfile.pyc
/usr/lib/python1.4/profile.pyc
/usr/lib/python1.4/pstats.pyc
/usr/lib/python1.4/pty.pyc
/usr/lib/python1.4/pyclbr.pyc
/usr/lib/python1.4/quopri.pyc
/usr/lib/python1.4/rand.pyc
/usr/lib/python1.4/random.pyc
/usr/lib/python1.4/regex_syntax.pyc
/usr/lib/python1.4/regexp.pyc
/usr/lib/python1.4/regsub.pyc
/usr/lib/python1.4/repr.pyc
/usr/lib/python1.4/rexec.pyc
/usr/lib/python1.4/rfc822.pyc
/usr/lib/python1.4/sched.pyc
/usr/lib/python1.4/sgmllib.pyc
/usr/lib/python1.4/shelve.pyc
/usr/lib/python1.4/shutil.pyc
/usr/lib/python1.4/site.pyc
/usr/lib/python1.4/sndhdr.pyc
/usr/lib/python1.4/statcache.pyc
/usr/lib/python1.4/sunau.pyc
/usr/lib/python1.4/sunaudio.pyc
/usr/lib/python1.4/symbol.pyc
/usr/lib/python1.4/tb.pyc
/usr/lib/python1.4/tempfile.pyc
/usr/lib/python1.4/toaiff.pyc
/usr/lib/python1.4/token.pyc
/usr/lib/python1.4/tokenize.pyc
/usr/lib/python1.4/traceback.pyc
/usr/lib/python1.4/tty.pyc
/usr/lib/python1.4/types.pyc
/usr/lib/python1.4/tzparse.pyc
/usr/lib/python1.4/urllib.pyc
/usr/lib/python1.4/urlparse.pyc
/usr/lib/python1.4/util.pyc
/usr/lib/python1.4/uu.pyc
/usr/lib/python1.4/wave.pyc
/usr/lib/python1.4/whatsound.pyc
/usr/lib/python1.4/whichdb.pyc
/usr/lib/python1.4/whrandom.pyc
/usr/lib/python1.4/xdrlib.pyc
/usr/lib/python1.4/zmod.pyc
/usr/lib/python1.4/sharedmodules

%files devel
/usr/lib/python1.4/test
/usr/lib/python1.4/config
/usr/include/python1.4

%files docs
/usr/doc/python-1.4
